%global srcname alchimia

Name:       python-%{srcname}
Version:    0.7.0
Release:    4%{?dist}
Summary:    A Python library that integrates Twisted with SqlAlchemy

Group:      Development/Libraries
License:    MIT
URL:        https://github.com/alex/%{srcname}
Source0:    https://pypi.io/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires: python2-setuptools
BuildRequires: python2-pytest
BuildRequires: python2-twisted
BuildRequires: python2-sqlalchemy
BuildRequires: python2-pbr
BuildRequires: python2-devel

BuildRequires: python3-setuptools
BuildRequires: python3-pytest
BuildRequires: python3-twisted
BuildRequires: python3-sqlalchemy
BuildRequires: python3-pbr
BuildRequires: python3-devel

%global _description\
alchimia lets you use most of the SQLAlchemy-core API with Twisted,\
it does not allow you to use the ORM.\


%description %_description

%package -n python2-%{srcname}
Summary:       %{summary}
Requires:      python2-sqlalchemy
Requires:      python2-twisted
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %_description
This package provides Python 2 build of %{srcname}.

%package -n python3-%{srcname}
Summary:       %{summary}
Requires:      python3-sqlalchemy
Requires:      python3-twisted
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description
This package provides Python 3 build of %{srcname}.


%prep
%autosetup -v -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info
rm -f {test-,}requirements.txt


%check
py.test-%{python2_version}
py.test-%{python3_version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst AUTHORS CONTRIBUTING.rst ChangeLog
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-py*.egg-info/

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst AUTHORS CONTRIBUTING.rst ChangeLog
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py*.egg-info/


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.0-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Aug 25 2017 Jan Beran <jberan@redhat.com> - 0.7.0-1
- New version including Python 3 subpackage

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-10
- Python 2 binary package renamed to python2-alchimia
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 16 2013 Vladan Popovic <vpopovic@redhat.com> - 0.4-3
- Add build requirements python-pbr and python-devel
- Move the deletion of unneeded files in the prep section
- Remove requirements.txt and test-requirements.txt

* Wed Oct 16 2013 Vladan Popovic <vpopovic@redhat.com> - 0.4-2
- Remove prebuilt package egg
- Remove EPEL5 parts
- Shorten the licence name (only MIT)
- Change the summary
- Add files to %%doc
- Fix typo Buildarch -> BuildArch

* Thu Oct 10 2013 Vladan Popovic <vpopovic@redhat.com> - 0.4-1
- Initial package.
